1. Classification Runs
Graduation API
  • AI_API
    • API Root
      GET
    • API Health Status
      GET
    • Water Hyacinth Detection
      POST
    • Schemas
      • PredictionSchema
  • backend_API
    • Profiles
      • List profiles
      • Create profile
      • Update profile
      • Delete profile
    • Classification Runs
      • List classification runs
        GET
      • Create classification run
        POST
      • Update classification run
        PATCH
      • Delete classification run
        DELETE
    • Schemas
      • Profile
      • ProfileInput
      • ClassificationRun
      • ClassificationRunInput
Github Repo
  1. Classification Runs

Create classification run

POST
/classification_runs
Last modified:2026-05-08 20:28:30
Maintainer:Not configured
Store a new AI image classification result.

Request

Authorization
API Key
Add parameter in header
apikey
Example:
apikey: ********************
or
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢201
Classification run created successfully
This response does not have a body.
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://vejazwelilonndcsreop.supabase.co/rest/v1/classification_runs' \
--header 'apikey: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5",
    "image_uri": "https://example.com/image.jpg",
    "image_source": "mobile_upload",
    "result_label": "water_hyacinth",
    "confidence": 94,
    "is_positive": true,
    "recommendation": "Immediate removal recommended",
    "model_version": "v1.0.0"
}'
Modified at 2026-05-08 20:28:30
Previous
List classification runs
Next
Update classification run
Built with